Subject: Re: [PATCH v2] net: sfp: fix memory leak in sfp_probe()

From: Jakub Kicinski <[email-masked]>
Date: Mon, 27 Jun 2022 22:11:05 -0700

On Fri, 24 Jun 2022 12:49:41 +0800 Jianglei Nie wrote:
> sfp_probe() allocates a memory chunk from sfp with sfp_alloc(). When
> devm_add_action() fails, sfp is not freed, which leads to a memory leak.
> 
> We should use devm_add_action_or_reset() instead of devm_add_action().

Please add a Fixes tag referencing the commit which added the bug.
The subject for the next version should be start with [PATCH net v3].